// file: dt_cstr_1.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Decision_tree::Decision_tree() {
 
  // set the root node
  //
  root_d = (Dt_node*)NULL;
  num_leaf_d = 0;

  cph_d = (char_1*)NULL;
  state_pos_d = 0;
  
  // set the thresholds
  //
  split_threshd_d = DT_DEFAULT_SPLIT_THRESHOLD;
  merge_threshd_d = DT_DEFAULT_MERGE_THRESHOLD;
  num_occ_threshd_d = DT_DEFAULT_NUM_OCC_THRESHOLD;

  // set the leaf nodes list
  //
  leaf_nodes_d = (Link_list*)NULL;
  
  // exit gracefully
  //
}




