// file: dtn_clear_0.cc
//

// isip include files
//
#include "dt_node.h"
#include "dt_node_constants.h"

// method: clear_cc
//
// arguments: none
//
// return: a logical_1 indicating status
//
// this method clears memory of the dt_node
//
logical_1 Dt_node::clear_cc() {

  // delete the states related data
  //
  num_states_d = 0;
  
  if(state_index_d != (int_4*)NULL) {
    delete [] state_index_d;
    state_index_d = (int_4*)NULL;
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
