// file: hc_cstr_3.cc
//

// isip include files
//
#include "hash_cell.h"
#include "hash_cell_constants.h"
 
// method: constructor
//
// arguments:
//  Hash_cell& cell : (input) the hash cell to copy
//
// return: none
//
// this is a copy constructor
//
Hash_cell::Hash_cell(Hash_cell& cell_a) {

  // set the data items
  //
  key_str_d = (char_1*)NULL;
  key_vec_d = (int_4*)NULL;
  key_size_d = 0;

  if (cell_a.key_str_d != (char_1*)NULL) {
    set_key_cc(cell_a.key_str_d);
  }
  if (cell_a.key_vec_d != (int_4*)NULL) {
    set_key_cc(cell_a.key_vec_d, cell_a.key_size_d);
  }

  // set the item
  //
  item_d = cell_a.item_d;

  // set the link pointer
  //
  next_d = cell_a.next_d;
  
  // exit gracefully
  //
}
