// file: latn_set_1.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_word_cc
//
// arguments:
//  Word* word : (input) the word represented by the node
//
// return: a logical_1 indicating status
//
// this method sets the word represented by the node
//
logical_1 Lattice_node::set_word_cc(Word* word_a) {

  // set the word represented by the node
  //
  word_d = word_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
