// file: mm_delete_6.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include "history.h"

// method: delete_cc
//
// arguments:
//  History* hist : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input history node and puts it in the free
// history nodes list
//
logical_1 Memory_manager::delete_cc(History* hist_a) {

  // get a link node to hold this hist node
  //
  Link_node* node = new_node_cc();
  
  // put the hist node in this
  //
  hist_a->clear_cc();
  node->set_item_cc((void_p)hist_a);
  
  // insert the incoming node in the node list
  //
  node->insert_cc(hist_list_d);
  hist_list_d = node;
  
  // increment free hist node count
  //
  hist_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
