// file: ngram_constants.h
//
// this is the header for the path ngram class
//

// make sure definitions are only made once
//
#ifndef __ISIP_NGRAM_CONSTANTS
#define __ISIP_NGRAM_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_HASH_TABLE_CONSTANTS
#include <hash_table_constants.h>
#endif

#ifndef __ISIP_NGRAM_LIST_CONSTANTS
#include <ngram_list_constants.h>
#endif

// define the class name
//
#define NGRAM_CLASS_NAME (char_1*)"Ngram"

// define some constants
//
#define NGRAM_DEFAULT_ORDER (int_4)0
#define NGRAM_LMSCALE (float_4)1
#define NGRAM_WDPENALTY (float_4)0
#define NGRAM_LOGTEN (float_4)2.302585
#define NGRAM_DATA_TAG (char_1*)"data\\"
#define NGRAM_LM_TAG (char*)"lm_params\\"
#define NGRAM_DELIMITER (char_1*)"="

// end of file
//
#endif
