// file: ngrn_cstr_3.cc
//

// isip include files
//
#include "ngram_node.h"
#include "ngram_node_constants.h"

// method: constructor
//
// arguments:
//  Ngram_node& ngram_node: (input) the copy object
//
// return: none
//
// this is a copy constructor
//
Ngram_node::Ngram_node(Ngram_node& ngram_node_a) {

  // copy values
  //
  word_d = ngram_node_a.word_d;
  next_node_d = ngram_node_a.next_node_d;
  lmscore_d = ngram_node_a.lmscore_d;
  backoff_d = ngram_node_a.backoff_d;
  num_next_nodes_d = ngram_node_a.num_next_nodes_d;
  
  // exit gracefully
  //
}
