// file: st_cstr_1.cc
//

// isip include files
//
#include "state.h"
#include "state_constants.h"

// initialize static variables
//
int_4 State::num_features_d = STATE_NUM_FEATURES;

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the class
//
State::State() {

  // create an instance of the class
  //
  num_mixtures_d = STATE_NUM_MIXTURES;
  weights_d = (float_4*)NULL;
  scale_d = (float_4*)NULL;
  mean_d = (float_4**)NULL;
  covar_d = (float_4**)NULL;
  frame_d = (int_4)-1;
  score_d = STATE_SCORE;
  
  // exit gracefully
  //
}
