// file: spmtch__cstr_2.cc
//

// isip include files
//
#include "subpath_match.h"
#include "subpath_match_constants.h"

// method: default constructor
//
// arguments: 
//  int_4 start: (input) start time (frame) of subpath match
//  int_4 end: (input) end time (frame) of subpath match
//  float_4 score: (input) likelihood score of the subpath match
//
// return: none
//
// this is the overloaded constructor which sets the start and end times
// as well as the match score. other values are initialized to default
// state
//
Subpath_match::Subpath_match(int_4 start_a, int_4 end_a, float_4 score_a) {

  // reset node statistics
  //
  start_time_d = start_a;
  end_time_d = end_a;
  score_d = score_a;

  num_models_d = (int_4)0;

  start_time_pad_d = SUBPATH_MATCH_DEFAULT_TIME_PAD;
  end_time_pad_d = SUBPATH_MATCH_DEFAULT_TIME_PAD;
  
  // exit gracefully
  //
}





