// file: tr_lat_set_5.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_word_penalty_cc
//
// arguments:
//  float_4 word_penalty_a: (input) Train_Word insertion penalty
//
// return: a logical_1 indicating status
//
// this method sets the Train_Word insertion penalty used during Train_Lattice
// generation
//
logical_1 Train_Lattice::set_word_penalty_cc(float_4 word_penalty_a) {

  // set the Train_Word index
  //
  word_penalty_d = word_penalty_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
