// file: tr_lat_set_6.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_lm_scale_cc
//
// arguments:
//  float_4 lm_scale_a: (input) Train_Word insertion penalty
//
// return: a logical_1 indicating status
//
// this method sets the language Train_Model likelihood scale factor used during
// Train_Lattice generation
//
logical_1 Train_Lattice::set_lm_scale_cc(float_4 lm_scale_a) {

  // set the Train_Word index
  //
  lm_scale_d = lm_scale_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
