// file: tr_latn_incr_0.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

// method: incr_num_arcs_in_cc
//
// arguments: none
//
// return: a logical_1 indicating status
//
// this method increments the number of incoming arcs
//
logical_1 Train_Lattice_node::incr_num_arcs_in_cc() {

  // increment the number of incoming arcs into the node by one
  //
  num_arcs_in_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
