// file: tr_lxn_set_0.cc
//

// isip include files
//
#include "train_lex_node.h"
#include "train_lex_node_constants.h"

// method: set_phone_cc
//
// arguments:
//  int_4 phone : (input) the monophone index to set
//
// return: a logical_1 indicating success
//
// this method sets the monophone index for the current node
//
logical_1 Train_Lex_node::set_phone_cc(int_4 phone_a) {

  // set the phone index-related data
  //
  phone_d = phone_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
