// file: tr_mm_delete_0.cc
//
 
// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"

#include "train_lex_node.h"

// method: delete_cc
//
// arguments:
//  Train_Lex_node* lxn : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input lex node and puts it in the free
// lex nodes list
//
logical_1 Train_Memory_manager::delete_cc(Train_Lex_node* lxn_a) {

  // get a link node to hold this lex node
  //
  Train_Link_node* node = new_node_cc();
  
  // put the lex node in this
  //
  node->set_item_cc((void_p)lxn_a);
  
  // insert the incoming node in the node list
  //
  if (lex_count_d == (int_4)0) {
    lex_list_d = node;
  }
  else {
    lex_list_d->insert_cc(node);
  }
  
  // increment free lex node count
  //
  lex_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
