// file: tr_mod_set_1.cc
//

// isip include files
//
#include "train_model.h"
#include "train_model_constants.h"

// method: set_transitions_cc
//
// arguments:
//  float_4** trans_prob_a: transition matrix
//
// return: logical_1 indicating status
//
// this methods sets the transition matrix for this model
//
logical_1 Train_Model::set_transitions_cc(float_4** trans_prob_a) {

  // set the new transition matrix
  //
  trans_prob_d = trans_prob_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
