// file: tr_size_0.cc
//

// isip include files
//
#include "train_token.h"
#include "train_token_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Train_Token::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                         // frame_index_d
  size += sizeof(float_8);                       // score_d
  size += sizeof(Train_Link_list*);                    // trace_list_d
  size += sizeof(Train_Link_node*);                    // marker_d
  size += sizeof(Train_Link_node*);                    // prev_marker_d
  size += trace_list_d->size_cc();
  
  // exit gracefully
  //
  return size;
}
