// file: tr_tr_clear_0.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: clear_cc
//
// arguments: none
//
// return: a logical_1 indicating status
//
// this method resets all elements of the trace
//
logical_1 Train_Trace::clear_cc() {

  // reset the parameters
  //
  level_d = TRAIN_TRACE_DEFAULT_INDEX;
  phone_index_d = TRAIN_TRACE_DEFAULT_INDEX;

  lat_node_d = (Train_Lattice_node*)NULL;
  lex_node_d = (Train_Lex_node*)NULL;

  if (back_ptr_d != (Train_Trace**)NULL) {
    delete [] back_ptr_d;
  }
  back_ptr_d = (Train_Trace**)NULL;
  backptr_size_d = (int_4)0;
  
  frame_index_d = (int_4)0;
  max_mixture_d = (int_4)0;
  score_d = TRAIN_TRACE_DEFAULT_SCORE;
  ref_count_d = (int_4)0;
  active_d = ISIP_FALSE;

  // exit gracefully
  //
  return ISIP_TRUE;
}


