// file: memory_manager_constants.h
//
// this is the header file for the memory manager class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_MEMORY_MANAGER_CONSTANTS
#define __ISIP_MEMORY_MANAGER_CONSTANTS

// isip include files
//
#ifndef __ISIP_LINK_NODE_CONSTANTS
#include <link_node_constants.h>
#endif

// define the class name
//
#define MM_CLASS_NAME (char_1*)"Memory_manager"

// define the default block sizes
//
#define MM_NODE_GROW_SIZE (int_4)1024
#define MM_TRACE_GROW_SIZE (int_4)512
#define MM_LEX_GROW_SIZE (int_4)256
#define MM_LAT_GROW_SIZE (int_4)256
#define MM_LPATH_GROW_SIZE (int_4)256
#define MM_NGRAM_GROW_SIZE (int_4)256
#define MM_HASH_GROW_SIZE (int_4)256
#define MM_HIST_GROW_SIZE (int_4)256
#define MM_INSTANCE_GROW_SIZE (int_4)256

// end of file
// 
#endif
