// file: ngrn_size_0.cc
//

// isip include files
//
#include "ngram_list.h"
#include "ngram_list_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Ngram_list::size_cc() {
  
  // set the size variable
  //
  int_4 size = (int_4)0;

  // add the size of all data
  //
  size += sizeof(int_4);                         // num_d
  size += num_d * sizeof(Ngram_node*);           // nodes_d
  
  // exit gracefully
  //
  return size;
}
