// file: que_size_0.cc
//

// isip include files
//
#include "question.h"
#include "question_constants.h"

// method: size_cc
//
//   arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Question::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(char_1*);                  // attribute_d
  size += sizeof(logical_1);                // direction_d 
  size += sizeof(int_4);                    // num_d

  // exit gracefully
  //
  return size;
}
