// file: tr_cstr_1.cc
//

// isip include files
//
#include "trace.h"
#include "trace_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Trace::Trace() {

  // set the parameters
  //
  level_d = TRACE_DEFAULT_INDEX;
  state_index_d = TRACE_DEFAULT_INDEX;
  phone_index_d = TRACE_DEFAULT_INDEX;

  lex_next_d = (Lex_node*)NULL;

  max_hist_d = (int_4)0;
  history_d = (History*)NULL;
  instance_d = (Instance*)NULL;
  
  score_d = TRACE_DEFAULT_SCORE;

  // exit gracefully
  //
}
