// file: tr_latn_set_3.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

// method: set_frame_index_cc
//
// arguments:
//  int_4 frame_index_a: (input) frame index of word end 
//
// return: a logical_1 indicating status
//
// this method sets the frame index of the word end
//
logical_1 Train_Lattice_node::set_frame_index_cc(int_4 frame_index_a) {

  // set the frame index of the node
  //
  frame_d = frame_index_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
