// file: tr_lxn_set_7.cc
//

// isip include files
//
#include "train_lex_node.h"
#include "train_lex_node_constants.h"

// method: set_phone_ind_cc
//
// arguments:
//  int_4 phone_ind : the computed phone index need to be set
//
// return: a logical_1 indicating success
//
// this method sets the phone index for the current node
//
logical_1 Train_Lex_node::set_phone_ind_cc(int_4 phone_ind_a) {

  // set the index
  //
  phone_index_d = phone_ind_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
