// file: tr_lxt_cstr_0.cc
//

// isip include files
//
#include "train_lex_tree.h"
#include "train_lex_tree_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Train_Lex_tree::~Train_Lex_tree() {

  // return the lexical tree nodes to the memory manager
  //
  if (head_d != (Train_Lex_node*)NULL) {
    head_d->clear_cc();
  }
  
  // reset the members of this class
  //
  head_d = (Train_Lex_node*)NULL;
  history_d = (Train_Hash_cell*)NULL;
  status_d = ISIP_FALSE;
  
  // exit gracefully
  //
}
