// file: train_memory_manager_constants.h
//
// this is the header file for the memory manager class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_MEMORY_MANAGER_CONSTANTS
#define __ISIP_TRAIN_MEMORY_MANAGER_CONSTANTS

// isip include files
//
#ifndef __ISIP_TRAIN_LINK_NODE_CONSTANTS
#include <train_link_node_constants.h>
#endif

// define the class name
//
#define TRAIN_MM_CLASS_NAME (char_1*)"Train_Memory_manager"

// define the default block sizes
//
#define TRAIN_MM_NODE_GROW_SIZE (int_4)1024
#define TRAIN_MM_TRACE_GROW_SIZE (int_4)512
#define TRAIN_MM_LEX_GROW_SIZE (int_4)256
#define TRAIN_MM_LAT_GROW_SIZE (int_4)256
#define TRAIN_MM_HASH_GROW_SIZE (int_4)256

// end of file
// 
#endif
