// file: tr_mod_set_2.cc
//

// isip include files
//
#include "train_model.h"
#include "train_model_constants.h"

// method: set_states_cc
//
// arguments:
//  Train_State** state : (input) array of states
//
// return: logical_1 indicating status
//
// this methods sets the states for the model
//
logical_1 Train_Model::set_states_cc(Train_State** state_a) {

  // copy the new state array
  //
  for (int_4 i = 0; i < num_states_d; i++) {
    states_d[i] = state_a[i];
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
