// file: tr_mod_size_0.cc
//

// isip include files
//
#include "train_model.h"
#include "train_model_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Train_Model::size_cc() {

  // set the size variable
  //
  int_4 size = (int_4)0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                    // num_states_d
  size += num_states_d * sizeof(Train_State*);    // states array
  size += sizeof(float_4**);                // trans_prob_d
  
  // exit gracefully
  //
  return size;
}
