// file: tr_tr_back_0.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: set_back_size_cc
//
// arguments:
//  int_4 size: (input) the size to be set for the back-pointer array
//
// return: a logical_1 indicating success
//
// this method sets the size of the path back pointer and initializes it
//
logical_1 Train_Trace::set_back_size_cc(int_4 size_a) {

  // check if the back-pointer array already exists
  //
  if (back_ptr_d != (Train_Trace**)NULL) {
    delete [] back_ptr_d;
  }
  back_ptr_d = (Train_Trace**)NULL;

  // set new back-pointer array size
  //
  backptr_size_d = size_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
