// file: tr_wrd_phone_4.cc
//
 
// isip include files
//
#include "train_word.h"
#include "train_word_constants.h"
 
// method: get_phone_cc
//
// arguments:
//  int_4 index : (input) the phone position in this pronunciation
//  int_4 pron : (input) the index of the pronunciation
//
// return: int_4 index of the phone
//
// this method returns the monophone index at the specified position
// in the specified pronunciation of the word
//
int_4 Train_Word::get_phone_cc(int_4 index_a, int_4 pron_a) {
 
  // return the phone and exit gracefully
  //
  return phone_list_d[pron_a][index_a];
}
