// file: train_word_constants.h
//
 
// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_WORD_CONSTANTS
#define __ISIP_TRAIN_WORD_CONSTANTS
 
// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif
 
// define the class name
//
#define TRAIN_WRD_CLASS_NAME (char_1*)"Train_Word"
 
// define constants for the default number of phones
//
#define TRAIN_WRD_DEFAULT_NUM (int_4)0;

// define some special word indices
//
#define TRAIN_WRD_SENT_START_WORD (int_4)1
#define TRAIN_WRD_SENT_END_WORD (int_4)0

// define some special word strings
//
#define TRAIN_WRD_NULL (char_1*)"!NULL"
#define TRAIN_WRD_SENT_START (char_1*)"!SENT_START"
#define TRAIN_WRD_SENT_END (char_1*)"!SENT_END"

// end of file
// 
#endif
 
